Skip to main content
GET
/
v2
/
tags
List tags
curl --request GET \
  --url https://api.uat.frankie.one/v2/tags \
  --header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
  --header 'api_key: <api-key>'
{
  "requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
  "meta": {
    "page": 123,
    "total": 123,
    "limit": 123,
    "count": 123,
    "sort": "asc",
    "sortFields": [
      "createdAt"
    ]
  },
  "tags": [
    {
      "tagId": "12345678-1234-1234-1234-123456789012",
      "label": "ROMANCE_SCAM",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "description": "Indicates a potential romance scam.",
      "category": "FRAUD",
      "type": "SYSTEM",
      "domain": "ACTIVITY_MONITORING",
      "createdBy": "<string>",
      "updatedBy": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api_key
string
header
required

Headers

api_key
string
required

Your API key provided by FrankieOne

Example:

"245c765b124a098d09ef8765...."

X-Frankie-CustomerID
string
required

Your Customer ID provided by FrankieOne

Example:

"12345678-1234-1234-1234-123456789012"

X-Frankie-CustomerChildID
string

Your Customer Child ID provided by FrankieOne

Example:

"87654321-4321-4321-4321-210987654321"

X-Frankie-Channel
string

Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.

X-Frankie-Username
string

Username provided by API caller

Example:

"fred.flintstone@frankieone.com"

Query Parameters

types
enum<string>[]

Filter tags by type. Supports multiple comma-separated values (OR logic).

The type of the tag.

  • SYSTEM: A tag created by FrankieOne. The createdBy and updatedBy fields will be omitted for SYSTEM tags.
  • CUSTOMER: A tag created by the customer.
Available options:
SYSTEM,
CUSTOMER
categories
string[]

Filter tags by category. Supports multiple comma-separated values (OR logic).

domains
string[]

Filter tags by domain. Supports multiple comma-separated values (OR logic).

tagIds
string<uuid>[]

Filter by specific tag IDs. Supports multiple comma-separated values (OR logic).

page
integer

The page number that you want to retrieve for the list query

limit
integer
default:20

Limit the number of items that will be returned as part of the request

Required range: x >= 1

Response

OK

requestId
string
required

The unique request identifier for the API call made.

Example:

"01HN9XHZN6MGXM9JXG50K59Q85"

meta
object
required

Meta information about the request and response returned during a list operation.

tags
object[]
required

List of tags matching the filter criteria.